/*
TEKNISA SOFTWARE

NOME: ALM_ITPEDIDO_NF

DESCRICAO:
   VIEW PARA EXPORTACAO DE ITENS DE PEDIDOS/NF

CRIACAO:
   30/07/2018 - MATEUS ANASTACIO

@C:\web_605\sql\end_conv\oracle\clientes\alm\0005_ALMVIEO_ITPEDIDO_NF.SQL

RAISE_APPLICATION_ERROR(-20501,, TRUE);

*/
CREATE OR REPLACE FORCE VIEW ALM_ITPEDIDO_NF AS
SELECT DTPEDIDO, DTEMISSAO, NRACESSONFE, NRPEDIDO, DADOS
  FROM (
/*Pedidos*/
SELECT PED.DTPEDIDO,
       NF.DTEMISSAO AS DTEMISSAO,
       NF.NRACESSONFE AS NRACESSONFE,
       IT.NRPEDIDO AS NRPEDIDO,
        (LPAD(NVL(NF.NRNOTAFISC,' ')                                                     ,9,' ')||/*NOTA*/
         IT.NRPEDIDO                                                                          ||/*NPED*/
         IT.CDARVPROD                                                                         ||/*NCOD*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.QTITEM,           '999999.999'),' '),'.','')),9,' ')||/*NQTD*/
         TO_CHAR(PED.DTPEDIDO,'DDMMYYYY')                                                     ||/*DPRE*/
         LPAD(SUBSTR(CLI.SGEST,0,2)                                                      ,2, ' ')||/*UFITEM*/
         LPAD(CLI.NRINSJURCLIE,                                                          20,' ')||/*CLIENTE*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.VRPREUNITPED,    '999999999999.99'),' '),'.','')),14,' ')||/*PRECO*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.PERDESC,                '999.99'),' '),'.','')) ,5,' ')||/*DSC*/
         RPAD(LTRIM(REPLACE(NVL(IT.LOTE,' '),'.','')) ,15 )||/*XLOTE*/
         LPAD(NVL(PED.CDVENDEDOR,' ')                                                    ,5,' ')||/*VENDEDOR*/
         LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS,      '9999999999999.99'),'.','')),' '),15,' ')||/*ITEICM*/
         LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS_ST,   '9999999999999.99'),'.','')), ' '),15,' ')||/*ITEICMRET*/
         LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS,   '9999999999999.99'),'.','')),' '),15,' ')||/*BCICM*/
         LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS_ST,'9999999999999.99'),'.','')),' '),15,' ')||/*BCICMRET*/
         LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ALIQ_ICMS, '9999999999999.99'),'.','')),' '),15,' ')||/*FATPERICM*/
         NVL(NF.IDSTATUSNFE, ' ')||/*IDSTATUSNFE*/
         NVL(PED.IDSITPEDIDO, ' ')||/*IDSTATUPED*/
         RPAD(NVL(PED.DSPEDCLI,' '),10)||/*NRPEDINTE*/
         TO_CHAR(LOTE.DTFABRPROD,'DDMMYYYY')                                                     ||/*DATAFABR*/
         TO_CHAR(LOTE.DTVALILOTE ,'DDMMYYYY')                                                     ||/*DATAVALI*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(PA.QTPRACABADO,           '999999.999'),' '),'.','')),9,' ')/*QTDLOTE*/
         ) AS DADOS
     FROM PEDIDO PED
    LEFT JOIN (SELECT ITP.CDFILIAL, ITEMPRODUTO.NRLANCTONF, ITP.NRPEDIDO, P.CDARVPROD, P.CDPRODUTO,
	                   CASE WHEN ITEMPRODUTO.NRLANCTONF IS NULL THEN ITP.QTITEMPED ELSE ITEMPRODUTO.QTITEMPROD END AS QTITEM,
	                   ITP.VRPREUNITPED,
                       DECODE((CASE WHEN ITEMPRODUTO.NRLANCTONF IS NULL THEN ITP.QTITEMPED ELSE ITEMPRODUTO.QTITEMPROD END) * ITP.VRPREUNITPED, 0,  0, ROUND(NVL(ITP.VRDESITPED, 0) * 100 / ((CASE WHEN ITEMPRODUTO.NRLANCTONF IS NULL THEN ITP.QTITEMPED ELSE ITEMPRODUTO.QTITEMPROD END) * ITP.VRPREUNITPED),4)) PERDESC,
                       CASE WHEN (ITP.IDSITITEMPED = '4') THEN ITEMPRODUTO.NRLOTEESTQ ELSE R.NRLOTEESTQ END LOTE,
                       CASE WHEN (ITP.IDSITITEMPED = '4') THEN ITEMPRODUTO.NRSUBLOTE ELSE R.NRSUBLOTE END NRSUBLOTE,
                       (SELECT SUM(VRIMPOSTOIT)
                          FROM ITEMPROIMPOS
                         WHERE CDFILIAL = ITEMPRODUTO.CDFILIAL
                           AND NRLANCTONF = ITEMPRODUTO.NRLANCTONF
                           AND NRSEQITPROD = ITEMPRODUTO.NRSEQITPROD
                           AND CDIMPOSTO = '00' ) VR_ICMS,
                       (SELECT SUM(VRIMPOSTOIT)
                          FROM ITEMPROIMPOS
                         WHERE CDFILIAL = ITEMPRODUTO.CDFILIAL
                           AND NRLANCTONF = ITEMPRODUTO.NRLANCTONF
                           AND NRSEQITPROD = ITEMPRODUTO.NRSEQITPROD
                           AND CDIMPOSTO = '99' ) VR_ICMS_ST,
                       (SELECT SUM(VRBASECALCIT)
                          FROM ITEMPROIMPOS
                         WHERE CDFILIAL = ITEMPRODUTO.CDFILIAL
                           AND NRLANCTONF = ITEMPRODUTO.NRLANCTONF
                           AND NRSEQITPROD = ITEMPRODUTO.NRSEQITPROD
                           AND CDIMPOSTO = '00' ) VR_BC_ICMS,
                        (SELECT SUM(VRBASECALCIT)
                          FROM ITEMPROIMPOS
                         WHERE CDFILIAL = ITEMPRODUTO.CDFILIAL
                           AND NRLANCTONF = ITEMPRODUTO.NRLANCTONF
                           AND NRSEQITPROD = ITEMPRODUTO.NRSEQITPROD
                           AND CDIMPOSTO = '99' ) VR_BC_ICMS_ST,
                        (SELECT SUM(VRALIQITEM)
                          FROM ITEMPROIMPOS
                         WHERE CDFILIAL = ITEMPRODUTO.CDFILIAL
                           AND NRLANCTONF = ITEMPRODUTO.NRLANCTONF
                           AND NRSEQITPROD = ITEMPRODUTO.NRSEQITPROD
                           AND CDIMPOSTO = '00' ) VR_ALIQ_ICMS
                  FROM ITEMPEDIDO ITP
                  LEFT JOIN ITEMPRODUTO
                    ON ITP.CDFILIAL  = ITEMPRODUTO.CDFILIALPED
                   AND ITP.NRPEDIDO  = ITEMPRODUTO.NRPEDIDO
                   AND ITP.NRITEMPED = ITEMPRODUTO.NRITEMPED
                  INNER JOIN PRODUTO P
                     ON P.CDPRODUTO = ITP.CDPRODUTO
                   LEFT JOIN RESERPRODPED R
                     ON R.CDFILIAL = ITP.CDFILIAL
                    AND R.NRPEDIDO = ITP.NRPEDIDO
                    AND R.NRITEMPED = ITP.NRITEMPED) IT
       ON PED.CDFILIAL  = IT.CDFILIAL
      AND PED.NRPEDIDO  = IT.NRPEDIDO
     
     LEFT JOIN LOTE 
       ON IT.CDFILIAL  = LOTE.CDFILIAL
      AND IT.CDPRODUTO = LOTE.CDPRODUTO
      AND IT.LOTE      = LOTE.NRLOTEESTQ
      AND IT.NRSUBLOTE = LOTE.NRSUBLOTE
      
     LEFT JOIN PRODACABADO PA
       ON PA.CDFILIAL   = LOTE.CDFILIAL
      AND PA.CDPRODUTO  = LOTE.CDPRODUTO
      AND PA.NRLOTEESTQ = LOTE.NRLOTEESTQ
      AND PA.NRSUBLOTE  = LOTE.NRSUBLOTE

     
     LEFT JOIN (SELECT NOTAFISCAL.CDFILIAL, NOTAFISCAL.NRLANCTONF, NOTAFISCAL.CDCLIENTE, NOTAFISCAL.NRNOTAFISC, NOTAFISCAL.DTEMISSAO, NOTAFISCAL.NRINSJURNF,
                       NOTAFISCAL.DSQTDEVOLU, NOTAFISCAL.CDFISOPENTF, NOTAFISCAL.VRPRODUTOS, NOTAFISCAL.VRPBRUTOVOLU, NOTAFISCAL.VRNOTAFISC, NOTAFISCAL.NRINSJURTRAN,
                       NOTAFISCAL.IDPGTOFRETE, NOTAFISCAL.NRACESSONFE, NOTAFISCAL.IDSTATUSNFE,
                       SUM(ITEMENCARGO.VRITEMENCA) VRENC_DESC
                  FROM ENCARGO, ITEMENCARGO, NOTAFISCAL
                 WHERE ITEMENCARGO.CDFILIAL = NOTAFISCAL.CDFILIAL
                   AND ITEMENCARGO.NRLANCTONF = NOTAFISCAL.NRLANCTONF
                   AND ENCARGO.CDENCARGO = ITEMENCARGO.CDENCARGO
                   AND ENCARGO.IDENCARGO = 'D'
                 GROUP BY NOTAFISCAL.CDFILIAL, NOTAFISCAL.NRLANCTONF, NOTAFISCAL.CDCLIENTE, NOTAFISCAL.NRNOTAFISC, NOTAFISCAL.DTEMISSAO, NOTAFISCAL.NRINSJURNF,
                          NOTAFISCAL.DSQTDEVOLU, NOTAFISCAL.CDFISOPENTF, NOTAFISCAL.VRPRODUTOS, NOTAFISCAL.VRPBRUTOVOLU, NOTAFISCAL.VRNOTAFISC, NOTAFISCAL.NRINSJURTRAN,
                          NOTAFISCAL.IDPGTOFRETE, NOTAFISCAL.NRACESSONFE, NOTAFISCAL.IDSTATUSNFE) NF
       ON NF.CDFILIAL   = IT.CDFILIAL
      AND NF.NRLANCTONF = IT.NRLANCTONF
     LEFT JOIN (SELECT CL.NRINSJURCLIE, CL.CDCLIENTE, ENCLI.DSENDECLIE AS DSEND, MUN.NMMUNICIPIO AS DSMUN, ENCLI.SGESTADO AS SGEST
                  FROM CLIENTE CL, ENDECLIE ENCLI, MUNICIPIO MUN
                 WHERE CL.CDCLIENTE = ENCLI.CDCLIENTE
                   AND ENCLI.CDPAIS = MUN.CDPAIS
                   AND ENCLI.SGESTADO = MUN.SGESTADO
                   AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                   AND ENCLI.IDTPENDECLIE = 'P') CLI
       ON CLI.CDCLIENTE = PED.CDCLIENTE
       
    UNION ALL
    
    
  /* NF Sada */
   SELECT IT.DTEMISSAO AS DTPEDIDO,
          IT.DTEMISSAO AS DTEMISSAO,
          IT.NRACESSONFE AS NRACESSONFE,
          ' ' AS NRPEDIDO,
          (LPAD(NVL(IT.NRNOTAFISC,' ')                                                     ,9,' ')||/*NOTA*/
          LPAD(' ',10)                                                                           ||/*NPED*/
          IT.CDARVPROD                                                                         ||/*NCOD*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.QTITEM,           '999999.999'),' '),'.','')),9,' ')||/*NQTD*/
          TO_CHAR(IT.DTENTRSAID,'DDMMYYYY')                                                     ||/*DPRE*/
          LPAD(SUBSTR(IT.SGEST,0,2)                                                      ,2, ' ')||/*UFITEM*/
          LPAD(IT.NRINSJUR,                                                          20,' ')||/*CLIENTE*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.VRUNITITEM,    '999999999999.99'),' '),'.','')),14,' ')||/*PRECO*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.PERDESC,                '999.99'),' '),'.','')) ,5,' ')||/*DSC*/
          RPAD(LTRIM(REPLACE(NVL(IT.LOTE,' '),'.','')) ,15 )||/*XLOTE*/
          LPAD(' ',5)                                                                              ||/*VENDEDOR*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS,      '9999999999999.99'),'.','')),' '),15,' ')||/*ITEICM*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS_ST,   '9999999999999.99'),'.','')), ' '),15,' ')||/*ITEICMRET*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS,   '9999999999999.99'),'.','')),' '),15,' ')||/*BCICM*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS_ST,'9999999999999.99'),'.','')),' '),15,' ')||/*BCICMRET*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ALIQ_ICMS, '9999999999999.99'),'.','')),' '),15,' ')||/*FATPERICM*/
          IT.IDSTATUSNFE||/*IDSTATUSNFE*/
          ' '||/*IDSTATUPED*/
          RPAD(' ',10)||/*NRPEDINTE*/
         TO_CHAR(LOTE.DTFABRPROD,'DDMMYYYY')                                                     ||/*DATAFABR*/
         TO_CHAR(LOTE.DTVALILOTE ,'DDMMYYYY')                                                     ||/*DATAVALI*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(PA.QTPRACABADO,           '999999.999'),' '),'.','')),9,' ')/*QTDLOTE*/
         ) AS DADOS
     FROM (SELECT NF.DTENTRSAID, NF.NRNOTAFISC, P.CDARVPROD, P.CDPRODUTO, I.QTITEMPROD AS QTITEM,
                  I.VRUNITITEM, ((NVL(I.VRDESCITEM, 0) / I.VRTOTAITEM) * 100) AS PERDESC,
                  NRLOTEESTQ AS LOTE, I.NRSUBLOTE, I.CDFILIAL, 
                  DECODE(NVL(NF.IDORIGDESTNF, 'C'), 'C', CLI.NRINSJURCLIE, DECODE(IDORIGDESTNF, 'L', FIL.NRINSJURFILI, FORN.NRINSJURFORN)) AS NRINSJUR,
                  DECODE(NVL(NF.IDORIGDESTNF, 'C'), 'C', CLI.SGEST, DECODE(IDORIGDESTNF, 'L', FIL.SGEST, FORN.SGEST)) AS SGEST,
                  NF.IDSTATUSNFE, NF.DTEMISSAO, NF.NRACESSONFE,
                 (SELECT NVL(SUM(VRIMPOSTOIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '00') VR_ICMS,
                 (SELECT NVL(SUM(VRIMPOSTOIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '99') VR_ICMS_ST,
                 (SELECT NVL(SUM(VRBASECALCIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '00') VR_BC_ICMS,
                 (SELECT NVL(SUM(VRBASECALCIT),0)
                   FROM ITEMPROIMPOS
                  WHERE CDFILIAL    = I.CDFILIAL
                    AND NRLANCTONF  = I.NRLANCTONF
                    AND NRSEQITPROD = I.NRSEQITPROD
                    AND CDIMPOSTO = '99' ) VR_BC_ICMS_ST,
                 (SELECT NVL(SUM(VRALIQITEM),0)
                   FROM ITEMPROIMPOS
                  WHERE CDFILIAL    = I.CDFILIAL
                    AND NRLANCTONF  = I.NRLANCTONF
                    AND NRSEQITPROD = I.NRSEQITPROD
                    AND CDIMPOSTO = '00') VR_ALIQ_ICMS
             FROM ITEMPRODUTO I, PRODUTO P, NOTAFISCAL NF
                  LEFT JOIN (SELECT CL.NRINSJURCLIE, CL.CDCLIENTE, ENCLI.SGESTADO AS SGEST
                               FROM CLIENTE CL, ENDECLIE ENCLI, MUNICIPIO MUN
                              WHERE CL.CDCLIENTE = ENCLI.CDCLIENTE
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDECLIE = 'P') CLI
                    ON CLI.CDCLIENTE = NF.CDCLIENTE
                  LEFT JOIN (SELECT CL.NRINSJURFORN, CL.CDFORNECED, ENCLI.SGESTADO AS SGEST
                               FROM FORNECEDOR CL, ENDEFORN ENCLI, MUNICIPIO MUN
                              WHERE CL.CDFORNECED = ENCLI.CDFORNECED
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDEFORN = 'P') FORN
                    ON FORN.CDFORNECED = NF.CDFORNECED
                  LEFT JOIN (SELECT CL.NRINSJURFILI, CL.CDFILIAL, ENCLI.SGESTADO AS SGEST
                               FROM FILIAL CL, ENDEFILI ENCLI, MUNICIPIO MUN
                              WHERE CL.CDFILIAL = ENCLI.CDFILIAL
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDEFILI = 'P') FIL
                    ON FIL.CDFILIAL = NF.CDFILIRECE  
                   
            WHERE NF.IDENTRSAIDOP = 'S'
              AND NF.IDSTATUSNFE = 'A'
              AND I.CDFILIAL   = NF.CDFILIAL
              AND I.NRLANCTONF = NF.NRLANCTONF
              AND P.CDPRODUTO = I.CDPRODUTO
              AND NOT EXISTS (SELECT A.CDFILIAL
                                FROM ITEMPEDIDO A
                               WHERE A.CDFILIAL  = I.CDFILIALPED
                                 AND A.NRPEDIDO  = I.NRPEDIDO
                                 AND A.NRITEMPED = I.NRITEMPED)) IT                    
     LEFT JOIN LOTE 
       ON IT.CDFILIAL  = LOTE.CDFILIAL
      AND IT.CDPRODUTO = LOTE.CDPRODUTO
      AND IT.LOTE      = LOTE.NRLOTEESTQ
      AND IT.NRSUBLOTE = LOTE.NRSUBLOTE
      
     LEFT JOIN PRODACABADO PA
       ON PA.CDFILIAL   = LOTE.CDFILIAL
      AND PA.CDPRODUTO  = LOTE.CDPRODUTO
      AND PA.NRLOTEESTQ = LOTE.NRLOTEESTQ
      AND PA.NRSUBLOTE  = LOTE.NRSUBLOTE                                 
    
    UNION ALL
    
  /* NF Entrada */
   SELECT IT.DTENTRSAID AS DTPEDIDO,
          IT.DTEMISSAO AS DTEMISSAO,
          IT.NRACESSONFE AS NRACESSONFE,
          ' ' AS NRPEDIDO,
          (LPAD(NVL(IT.NRNOTAFISC,' ')                                                     ,9,' ')||/*NOTA*/
          LPAD(' ',10)                                                                           ||/*NPED*/
          IT.CDARVPROD                                                                         ||/*NCOD*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.QTITEM,           '999999.999'),' '),'.','')),9,' ')||/*NQTD*/
          TO_CHAR(IT.DTENTRSAID,'DDMMYYYY')                                                     ||/*DPRE*/
          LPAD(SUBSTR(IT.SGEST,0,2)                                                      ,2, ' ')||/*UFITEM*/
          LPAD(IT.NRINSJUR,                                                          20,' ')||/*CLIENTE*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.VRUNITITEM,    '999999999999.99'),' '),'.','')),14,' ')||/*PRECO*/
          LPAD(LTRIM(REPLACE(NVL(TO_CHAR(IT.PERDESC,                '999.99'),' '),'.','')) ,5,' ')||/*DSC*/
          RPAD(LTRIM(REPLACE(NVL(IT.LOTE,' '),'.','')) ,15 )||/*XLOTE*/
          LPAD(' ',5)                                                                              ||/*VENDEDOR*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS,      '9999999999999.99'),'.','')),' '),15,' ')||/*ITEICM*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ICMS_ST,   '9999999999999.99'),'.','')), ' '),15,' ')||/*ITEICMRET*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS,   '9999999999999.99'),'.','')),' '),15,' ')||/*BCICM*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_BC_ICMS_ST,'9999999999999.99'),'.','')),' '),15,' ')||/*BCICMRET*/
          LPAD(NVL(LTRIM(REPLACE(TO_CHAR(IT.VR_ALIQ_ICMS, '9999999999999.99'),'.','')),' '),15,' ')||/*FATPERICM*/
          IT.IDSTATUSNFE||/*IDSTATUSNFE*/
          ' '||/*IDSTATUPED*/
          RPAD(' ',10)||/*NRPEDINTE*/
         TO_CHAR(LOTE.DTFABRPROD,'DDMMYYYY')                                                     ||/*DATAFABR*/
         TO_CHAR(LOTE.DTVALILOTE ,'DDMMYYYY')                                                     ||/*DATAVALI*/
         LPAD(LTRIM(REPLACE(NVL(TO_CHAR(PA.QTPRACABADO,           '999999.999'),' '),'.','')),9,' ')/*QTDLOTE*/
         ) AS DADOS
     FROM (SELECT NF.DTENTRSAID, NF.NRNOTAFISC, P.CDARVPROD, P.CDPRODUTO, I.QTITEMPROD AS QTITEM,
                  I.VRUNITITEM, ((NVL(I.VRDESCITEM, 0) / I.VRTOTAITEM) * 100) AS PERDESC,
                  NRLOTEESTQ AS LOTE, I.NRSUBLOTE, I.CDFILIAL,
                  DECODE(NVL(NF.IDORIGDESTNF, 'F'), 'F', FORN.NRINSJURFORN, DECODE(IDORIGDESTNF, 'L', FIL.NRINSJURFILI, CLI.NRINSJURCLIE)) AS NRINSJUR,
                  DECODE(NVL(NF.IDORIGDESTNF, 'F'), 'F', FORN.SGEST, DECODE(IDORIGDESTNF, 'L', FIL.SGEST, CLI.SGEST)) AS SGEST,
                  NF.IDSTATUSNFE, NF.DTEMISSAO, NF.NRACESSONFE,
                 (SELECT NVL(SUM(VRIMPOSTOIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '00') VR_ICMS,
                 (SELECT NVL(SUM(VRIMPOSTOIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '99') VR_ICMS_ST,
                 (SELECT NVL(SUM(VRBASECALCIT),0)
                    FROM ITEMPROIMPOS
                   WHERE CDFILIAL    = I.CDFILIAL
                     AND NRLANCTONF  = I.NRLANCTONF
                     AND NRSEQITPROD = I.NRSEQITPROD
                     AND CDIMPOSTO = '00') VR_BC_ICMS,
                 (SELECT NVL(SUM(VRBASECALCIT),0)
                   FROM ITEMPROIMPOS
                  WHERE CDFILIAL    = I.CDFILIAL
                    AND NRLANCTONF  = I.NRLANCTONF
                    AND NRSEQITPROD = I.NRSEQITPROD
                    AND CDIMPOSTO = '99' ) VR_BC_ICMS_ST,
                 (SELECT NVL(SUM(VRALIQITEM),0)
                   FROM ITEMPROIMPOS
                  WHERE CDFILIAL    = I.CDFILIAL
                    AND NRLANCTONF  = I.NRLANCTONF
                    AND NRSEQITPROD = I.NRSEQITPROD
                    AND CDIMPOSTO = '00') VR_ALIQ_ICMS
             FROM ITEMPRODUTO I, PRODUTO P, NOTAFISCAL NF
                  LEFT JOIN (SELECT CL.NRINSJURCLIE, CL.CDCLIENTE, ENCLI.SGESTADO AS SGEST
                               FROM CLIENTE CL, ENDECLIE ENCLI, MUNICIPIO MUN
                              WHERE CL.CDCLIENTE = ENCLI.CDCLIENTE
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDECLIE = 'P') CLI
                    ON CLI.CDCLIENTE = NF.CDCLIENTE
                  LEFT JOIN (SELECT CL.NRINSJURFORN, CL.CDFORNECED, ENCLI.SGESTADO AS SGEST
                               FROM FORNECEDOR CL, ENDEFORN ENCLI, MUNICIPIO MUN
                              WHERE CL.CDFORNECED = ENCLI.CDFORNECED
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDEFORN = 'P') FORN
                    ON FORN.CDFORNECED = NF.CDFORNECED
                  LEFT JOIN (SELECT CL.NRINSJURFILI, CL.CDFILIAL, ENCLI.SGESTADO AS SGEST
                               FROM FILIAL CL, ENDEFILI ENCLI, MUNICIPIO MUN
                              WHERE CL.CDFILIAL = ENCLI.CDFILIAL
                                AND ENCLI.CDPAIS = MUN.CDPAIS
                                AND ENCLI.SGESTADO = MUN.SGESTADO
                                AND ENCLI.CDMUNICIPIO = MUN.CDMUNICIPIO
                                AND ENCLI.IDTPENDEFILI = 'P') FIL
                    ON FIL.CDFILIAL = NF.CDFILIRECE
                    
            WHERE NF.IDENTRSAIDOP = 'E'
              AND NF.IDSTATUSNFE = 'A'
              AND I.CDFILIAL   = NF.CDFILIAL
              AND I.NRLANCTONF = NF.NRLANCTONF
              AND P.CDPRODUTO = I.CDPRODUTO
              AND NOT EXISTS (SELECT A.CDFILIAL
                                FROM ITEMPEDIDO A
                               WHERE A.CDFILIAL  = I.CDFILIALPED
                                 AND A.NRPEDIDO  = I.NRPEDIDO
                                 AND A.NRITEMPED = I.NRITEMPED)) IT
     LEFT JOIN LOTE 
       ON IT.CDFILIAL  = LOTE.CDFILIAL
      AND IT.CDPRODUTO = LOTE.CDPRODUTO
      AND IT.LOTE      = LOTE.NRLOTEESTQ
      AND IT.NRSUBLOTE = LOTE.NRSUBLOTE
      
     LEFT JOIN PRODACABADO PA
       ON PA.CDFILIAL   = LOTE.CDFILIAL
      AND PA.CDPRODUTO  = LOTE.CDPRODUTO
      AND PA.NRLOTEESTQ = LOTE.NRLOTEESTQ
      AND PA.NRSUBLOTE  = LOTE.NRSUBLOTE                                  
)
/
-- VERSAO --
BEGIN ATUVEROBJ('ALM_ITPEDIDO_NF','6.35.004'); END;
/
